# TdApi.StorePaymentPurposeGiftedPremium (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: StorePaymentPurposeGiftedPremium

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StorePaymentPurposeGiftedPremium

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StorePaymentPurpose
it.tdlight.jni.TdApi.StorePaymentPurposeGiftedPremium

Enclosing class:
  TdApi

public static final class TdApi.StorePaymentPurposeGiftedPremium extends TdApi.StorePaymentPurpose
The user gifted Telegram Premium to another user.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`amount`
Paid amount, in the smallest units of the currency.
`static final int`
`CONSTRUCTOR`
`String`
`currency`
ISO 4217 currency code of the payment currency.
`long`
`userId`
Identifier of the user for which Premium was gifted.

## Constructor Summary

Constructors
Constructor
Description
`StorePaymentPurposeGiftedPremium()`
The user gifted Telegram Premium to another user.
`StorePaymentPurposeGiftedPremium(long userId, String currency, long amount)`
The user gifted Telegram Premium to another user.
`StorePaymentPurposeGiftedPremium(DataInput input)`
The user gifted Telegram Premium to another user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
Identifier of the user for which Premium was gifted.

### currency

public String currency
ISO 4217 currency code of the payment currency.

### amount

public long amount
Paid amount, in the smallest units of the currency.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### StorePaymentPurposeGiftedPremium

public StorePaymentPurposeGiftedPremium()
The user gifted Telegram Premium to another user.

### StorePaymentPurposeGiftedPremium

public StorePaymentPurposeGiftedPremium(long userId, String currency, long amount)
The user gifted Telegram Premium to another user.

Parameters:
  `userId` - long Identifier of the user for which Premium was gifted.
  `currency` - String ISO 4217 currency code of the payment currency.
  `amount` - long Paid amount, in the smallest units of the currency.

### StorePaymentPurposeGiftedPremium

public StorePaymentPurposeGiftedPremium(DataInput input) throws IOException
The user gifted Telegram Premium to another user.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`